• 카테고리

    질문 & 답변
  • 세부 분야

    풀스택

  • 해결 여부

    미해결

next 13,14버전으로 하고 있는데 antd에서 다음과같은 오류가 발생합니다.

23.11.28 13:25 작성 조회수 313

0

SyntaxError: Cannot use import statement outside a module

이란 에러가 발생하는데 왜그런걸까요 stackoverflow찾다보니 nextjs 바벨설정이 src 하위를 보게되있어서 es6문법을 변환못해준다고 next.config.js 파일에 아래 transpilePackages 설정을 저렇게 넣어주면 해당 오류가 사라지긴하는대 매번 이렇게 해야되는건지... 근본적인 해결하려면 어떻게 해야할까요

const nextConfig = { reactStrictMode: true, transpilePackages: [ 'antd', '@ant-design', 'rc-util', 'kitchen-flow-editor', '@ant-design/pro-editor', 'zustand', 'leva', 'rc-pagination', 'rc-picker', 'rc-notification', 'rc-tooltip' ], }

답변 1

답변을 작성해보세요.

0

조현영님의 프로필

조현영

지식공유자

23.11.28 13:44

antd import한 코드를 어떻게 쓰셨나요? antd에는 esm과 commonjs 둘 다 있어서 상황에 따라 알맞은 모듈을 import하면 되긴 합니다.

황영롱님의 프로필

황영롱

질문자

23.11.28 13:47

import {Menu, Row, Col } from 'antd' 이렇게 했습니다.

조현영님의 프로필

조현영

지식공유자

23.11.28 13:58

https://github.com/vercel/next.js/pull/58992

이게 해결되기 전까지는 transpilePackages 쓰셔야 할 것 같네요.

황영롱님의 프로필

황영롱

질문자

23.11.28 14:11

제가 검색하다 해결한거라 저렇게 설정하면 왜 되는건지에 대해 잘 모르겠는대 transpilePackages 이부분이 멀해주는건가요?

조현영님의 프로필

조현영

지식공유자

23.11.28 14:38

esm 모듈 코드나 로컬 모노레포 코드들도 같이 transpile되게 해주는 역할인 것 같습니다.